## ros-kinetic-summit-x-sim 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_x_sim)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-summit-x-sim (1.1.1-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 25 Aug 2016 22:00:00 -0000

ros-kinetic-summit-x-sim (1.1.0-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-x-sim (1.0.6-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 18 Jul 2016 22:00:00 -0000

ros-kinetic-summit-x-sim (1.0.5-0xenial) xenial; urgency=high

  * 1.0.4
  * updated changelog
  * updated changelog
  * Update package.xml
  * deleted catkin_ignore
  * modified package.xml
  * Contributors: Carlos Villar, carlos3dx
  * updated changelog
  * Update package.xml
  * deleted catkin_ignore
  * modified package.xml
  * Contributors: Carlos Villar, carlos3dx
  * deleted catkin_ignore
  * modified package.xml
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 14 Jul 2016 22:00:00 -0000

ros-kinetic-summit-x-sim (1.0.4-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 10:04:17 +0200

ros-kinetic-summit-x-sim (1.0.3-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 09:35:37 +0200

ros-kinetic-summit-x-sim (1.0.2-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 08:27:33 +0200

ros-kinetic-summit-x-sim (1.0.1-0xenial) xenial; urgency=high

  * Modified CmakeLists and Package.xml files
  * creating summit_x_sim metapackage
  * Contributors: Jorge Arino, carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Fri, 08 Jul 2016 12:36:26 +0200

=== debian/control ===
Source: ros-kinetic-summit-x-sim
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/summit_x_sim
Standards-Version: 3.9.2

Package: ros-kinetic-summit-x-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-summit-x-control, ros-kinetic-summit-x-gazebo, ros-kinetic-summit-x-robot-control
Description: The summit_x_sim metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-summit-x-sim//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
